Bug 969219 - Screen lock and screensaver not working in Cinnamon F19
Screen lock and screensaver not working in Cinnamon F19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 19:12 EDT by Kai Engert (:kaie)
Modified: 2015-02-18 06:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:11:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) 2013-05-30 19:12:53 EDT
In cinnamon-settings, the settings category "screensaver&lock" is empty.

When using the global menu and command "lock screen", nothing happens.

It seems some pieces are missing in the cinnamon packages for F19 ?

I found /usr/bin/cinnamon-screensaver-lock-dialog, but it attempts to call cinnamon-screensaver-command, which is missing.

Is it necessary to package cinnamon-screensaver and/or cinnamon-control-center?

Thanks
Comment 1 Kai Engert (:kaie) 2013-05-30 19:29:57 EDT
https://github.com/linuxmint/cinnamon-screensaver/tags
Comment 2 leigh scott 2013-05-30 19:40:50 EDT
(In reply to Kai Engert (:kaie) from comment #0)

> Is it necessary to package cinnamon-screensaver
> 
> Thanks

I haven't had enough free time to package it.

http://leigh123linux.fedorapeople.org/pub/srpm/cinnamon-screensaver-1.8.0-1.fc19.src.rpm

Maybe I will find the time after my holiday in mid July.
Comment 3 Kai Engert (:kaie) 2013-05-30 19:53:47 EDT
Thanks a lot, your package works for me!

What is left to be done? Submitting it as a new package for fedora, and getting it reviewed?
Comment 4 leigh scott 2013-05-30 20:02:12 EDT
(In reply to Kai Engert (:kaie) from comment #3)
> Thanks a lot, your package works for me!
> 
> What is left to be done? Submitting it as a new package for fedora, and
> getting it reviewed?


I think the srpm is just about review ready, it's basically a rename of the gnome-screen-saver srpm from fedora.
I believe Dan Marshal is available to review it once submitted.
Comment 5 Kai Engert (:kaie) 2013-05-30 20:04:17 EDT
your package contains 
  /usr/bin/gnome-screensaver
  /usr/bin/gnome-screensaver-command

I guess we should remove them? Currently it conflicts with the gnome-screensaver.rpm
Comment 6 Kai Engert (:kaie) 2013-05-30 20:05:56 EDT
I'll try to help and submit the package for review.
Comment 7 leigh scott 2013-05-30 20:23:26 EDT
(In reply to Kai Engert (:kaie) from comment #5)
> your package contains 
>   /usr/bin/gnome-screensaver
>   /usr/bin/gnome-screensaver-command
> 
> I guess we should remove them? Currently it conflicts with the
> gnome-screensaver.rpm

These pull requests look useful to solve the issue.


https://github.com/linuxmint/cinnamon-screensaver/pulls

I'm not sure why Clem reverted to the gnome name

https://github.com/linuxmint/cinnamon-screensaver/commit/43d66ed00a28e64ce698452a7bc6c6013a486998

https://github.com/linuxmint/cinnamon-screensaver/commit/578551e2fab27597a699181f4cafa6a38b8417d1



(In reply to Kai Engert (:kaie) from comment #6)
> I'll try to help and submit the package for review.

Thanks that would be cool.
Comment 8 leigh scott 2013-06-06 06:46:51 EDT
(In reply to Kai Engert (:kaie) from comment #0)
> In cinnamon-settings, the settings category "screensaver&lock" is empty.
> 
> When using the global menu and command "lock screen", nothing happens.
> 
> It seems some pieces are missing in the cinnamon packages for F19 ?
> 
> I found /usr/bin/cinnamon-screensaver-lock-dialog, but it attempts to call
> cinnamon-screensaver-command, which is missing.
> 
> Is it necessary to package cinnamon-screensaver and/or
> cinnamon-control-center?
> 
> Thanks

I have added a patch to cinnamon-1.9.1-4.fc19 so the screen lock works.
Comment 9 Kai Engert (:kaie) 2013-06-06 07:29:44 EDT
(In reply to leigh scott from comment #8)
> 
> I have added a patch to cinnamon-1.9.1-4.fc19 so the screen lock works.


That's a great solution, I confirm it works for me, thanks for your work!

However: I had to manually install gnome-screensaver. Do you consider to add a "Requires: gnome-screensaver" to the cinnamon package?

Thanks
Comment 10 Fedora Update System 2013-06-06 19:25:48 EDT
nemo-1.8.2-3.fc19, cinnamon-1.9.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cinnamon-1.9.1-6.fc19,nemo-1.8.2-3.fc19
Comment 11 Fedora Update System 2013-06-07 23:38:07 EDT
nemo-1.8.2-3.fc19, cinnamon-1.9.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Daniel Bluhm 2013-06-09 18:00:35 EDT
Running cinnamon-1.9.1-7.fc19, I still don't see anything under the "screensaver & lock" section of the system settings. I can, however, lock the screen but a portion of the desktop remains visible and blocks the lightdm box in which you type your password. I can still unlock the screen but I have to blindly type my password in and hit enter.
Comment 13 leigh scott 2013-06-09 19:17:49 EDT
(In reply to Daniel Bluhm from comment #12)
> I can, however, lock
> the screen but a portion of the desktop remains visible and blocks the
> lightdm box in which you type your password. I can still unlock the screen
> but I have to blindly type my password in and hit enter.

Sounds like a video driver issue to me.
Comment 14 Kevin DeKorte 2013-08-02 11:23:36 EDT
I'm having issues with the screen saver under cinnamon as well. I'm using an intel based chipset and even running xset dpms force off. The screens go dark and then light back up. I noticed this under gnome-shell as well. So I am going to see if there is another issue
Comment 15 Rob Thamer 2013-08-26 17:39:00 EDT
I too have a portion of the screen visible on fedora 19 on the lockscreen.  Has anyone foudn a solution to this?
Comment 16 Fedora End Of Life 2015-01-09 17:33:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-18 06:11:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.